SuperExec

Le but de cet utilitaire est de permettre, sous un compte utilisateur ordinaire, l'exécution d'une application quelconque (exécutable, script, composant enfichable, raccourci) avec des droits et privilèges administrateur.

Il fonctionne sous Windows 2000, Windows XP, Windows 2003, VISTA, Windows 2008, Windows 7.
Il ne fonctionne pas sous Windows NT4 car certaines fonctions (chiffrement, gestion de processus, gestion réseau) manquent sous ce système.

Il a un rôle analogue aux outils SU.EXE (Resource Kit de Windows NT) ou RUNAS.EXE (à partir de Windows 2000), mais en beaucoup plus puissant.

Le problème majeur posé par ces deux outils est que l'administrateur doit être présent physiquement près de l'ordinateur de l'utilisateur afin de saisir de façon interactive son nom et mot de passe (et si l'administrateur communique ces informations, cela remet en cause la sécurité du système).

SUPEREXEC affranchit de cette contrainte en préparant l'exécution.
Pour cela, il enregistre dans un fichier de type XML (extension .XSE) les informations suivantes (intégralement chiffrées) :

  • Compte utilisateur (ou groupe d'utilisateurs) - local ou global (domaine)
  • Application concernée
  • Paramètres passés à l'application
  • Dossier de travail
  • Compte et mot de passe administrateur
  • paramètres éventuels supplémentaires :
    • date limite d'exécution
    • compteur d'exécution

L'exécution de l'application sera refusée à l'utilisateur :

  • si l'application n'a pas été autorisée à l'utilisateur ni à un groupe auquel il appartient.
  • si une date limite a été définie et si elle est périmée.
  • si un compteur a été défini et s'il est dépassé.
Par ailleurs, SUPEREXEC fonctionne à distance, et peut gérer de la même façon qu'en local les ordinateurs de n'importe quel groupe de travail ou domaine accessible depuis le réseau.
Dans ce cas, tous les fichiers nécessaires (fichiers .XSE, logiciels, certificat, raccourcis sur le bureau, ...) peuvent être copiés d'un simple clic sur les ordinateurs distants.

Il a même été prévu le cas d'ordinateurs déconnectés du réseau (cas d'utilisateurs "nomades" par exemple).
Les fichiers nécessaires sont alors envoyés par messagerie électronique sous la forme de fichier compressé unique mis en pièce-jointe dans un courrier généré automatiquement.

Remarques :

  • en raison des restrictions réseau intrinsèques à Windows XP Edition Familiale qui anonymise toute connexion entrante, SUPEREXEC ne peut être exécuté que localement et non pas à distance sur un ordinateur fonctionnant sous ce système.
  • l'exploration d'un autre groupe de travail ou domaine peut prendre un certain temps.
    Il est possible de choisir le niveau d'exploration du réseau :
    • ordinateur local seul
    • exploration manuelle du réseau
    • exploration automatique du réseau (tous les ordinateurs de tous les groupes et domaines) à partir d'une plage donnée d'adresses IP.
  • Les applications choisies doivent résider sur l'ordinateur concerné.
  • SUPEREXEC est entièrement compatible avec UAC (User Account Control), à savoir le contrôle des comptes utilisateurs sous Windows Vista, Windows 7 (et au-delà).
  • Dans le cas où une application est de type console (ipconfig, nbtstat, netstat, net time, ...), elle sera exécutée à travers un script créé dynamiquement et de telle façon que la fenêtre ne se ferme pas à la fin de l'exécution si on le souhaite.
  • En ce qui concerne les ordinateurs distants, SUPEREXEC active à distance :
    • le service d'accès au registre
    • les partages administratifs
Le logiciel SUPEREXEC est composé des fichiers suivants :
SuperExec.exe | programme principal, réservé aux administrateurs, servant à planifier les applications
RunSE.exe | programme "runtime", pour tout utilisateur, servant à exécuter les applications.
InstSE.exe programme d'installation du runtime et des fichiers de données dans le cas d'un
envoi par courrier électronique
SuperExec.cer | certificat de sécurité
CAPICOM.dll | bibliothèque Microsoft redistribuable de gestion des certificats
<code de langue>\SuperExec.lib | fichier contenant tous les messages et textes.
<code de langue>\SuperExec.chm | le présent document d'aide.
SuperExec.rtf | le présent document au format RTF
Licence.rtf | la licence de ce logiciel
L'utilisation de SUPEREXEC a été rendue la plus intuitive possible.
Chaque champ de saisie est doté d'une bulle d'informations, complétée par un message dans la barre d'état.

JCB © 2004-2011 (http://www.bellamyjc.org/fr/superexec.html)


Licence

Licence d'utilisation

Ce logiciel possède le statut de "freeware" ("graticiel") ce qui se traduit par les clauses suivantes :

  • Son usage est entièrement gratuit.
  • Il est librement copiable, sous la forme d'un seul fichier INSTALLSE.EXE
  • Il est interdit de modifier les clauses de Copyright.
  • L'auteur n'est pas responsable de dommage qui pourrait être causé par l'utilisation de ce programme.
  • L'auteur n'est pas tenu à remédier aux déficiences éventuelles de ce programme.
    Il se réserve toutefois la possibilité d'y apporter les améliorations qu'il jugerait nécessaires.
  • L'utilisation de ce logiciel ne peut en aucun cas être commercialisée.
  • L'utilisation de ce logiciel entraîne de fait l'acceptation des précédentes clauses.


Certificat

Afin de garantir leur origine, tous les exécutables de SuperExec (SuperExec.exe, RunSE.exe, InstSE.exe) sont certifiés par un certificat auto-signé par l'auteur.
La première fois que l'un de ces programmes est exécuté, cela entraine l'ouverture de la boite de dialogue suivante :

L'empreinte numérique (SHA1) de ce certificat doit être obligatoirement égale à :

1494 3A78 05A3 1D30 2AD4 9635 01E0 79D9 826E 3421

On retrouve cette information dans l'onglet "Signatures numériques" des propriétés des fichiers exécutables.


Vue d'ensemble

SuperExec se compose d'une boite de dialogue principale partagée en plusieurs zones :
(cliquer sur les zones pour obtenir des détails)

Menu Enregistrement du journal Effacement du journal Paramétrage de SuperExec Saisie des noms et mots de passe Administrateur Quitter SuperExec Analyse du réseau Ajout d'un ordinateur Ajout d'un ordinateur non connecté Paramétrage du réseau Créer une nouvelle application Modifier l'application sélectionnée Supprimer l'application sélectionnée Transfert des données (copie, email, ...) Aide générale Légende des icônes Réseau Applications Journal Barre de progression Barre d'état (aide ponctuelle)


Menu

L'arborescence des menus est la suivante :

  • Fichier
    • Enregistrer journal
    • Effacer journal
    • Paramètres
    • Administrateur
    • Quitter
  • Réseau
    • Parcours et analyse réseau
    • Ajouter un ordinateur
    • Ajouter un ordinateur non connecté
    • Paramètres réseau
  • Applications
    • Nouveau
    • Modifier
    • Supprimer
    • Transférer
  • Aide
    • Aide SuperExec (la présente aide)
    • Légende
    • Licence
    • A propos de SuperExec

retour vue d'ensemble


Paramètres

Cette boite de dialogue permet de paramétrer SUPEREXEC.

Elle se compose de 4 onglets :

Nom Paramètres définis
Général
  • la langue (actuellement français ou anglais)
  • le dossier des fichiers de données (.XSE)
  • l'affichage ou non de cette boite de dialogue à chaque démarrage
Réseau
  • type d'exploration du réseau
  • informations TCP/IP de l'ordinateur local
Comptes et applications
  • les types de comptes affichés
  • les extensions des fichiers d'applications.
Messagerie
  • compte de messagerie et carnet d'adresses


Paramètres généraux

Cet onglet permet de définir :

  • la langue (actuellement français ou anglais)
    Les langues disponibles sont détectées automatiquement par analyse des sous-dossiers existants et contenant un fichier nommé superexec.lib
    C'est un fichier texte, dont la 1ère ligne est obligatoirement de la forme :
    SuperExec.lib#xxxxxxxx
    xxxxxxxx étant le nom de la langue concernée ("français", "english", ...)
    Ce fichier contient tous les libellés des menus, boites de dialogue, messages d'information ou d'erreur des programmes.
    Chaque ligne est de la forme :
    Formulaire.objet.item=xxxxxxxxxxxxxxxxxxx
    P.ex. : Form9.lblAdminName.Caption=Compte administrateur :
    Le changement de langue peut avoir lieu à tout moment, sans nécessiter de redémarrer SuperExec.
  • le dossier des fichiers de données (.XSE)
    Par défaut, les fichiers au format XML contenant les données et à l'extension .XSE sont créés et stockés dans un sous-dossier de nom XSE dans le dossier contenant SuperExec.
    Il est possible de définir un autre emplacement (s'il n'existe pas, il sera créé) n'importe où ailleurs.
    Un bouton "par défaut" permet de rétablir le paramétrage par défaut.
  • l'affichage automatique ou non de cette boite de dialogue à chaque démarrage.

retour paramètres


Paramètres réseau

Cet onglet permet de définir ou afficher :

  • le type d'exploration du réseau local par SuperExec.
    Le choix sera motivé par ce que l'on désire faire, étant donné que l'exploration complète du réseau local est une opération qui peut se révéler longue à l'usage :
    • ordinateur local seulement
    • liste d'ordinateurs établie manuellement
    • liste d'ordinateurs établie automatiquement, par exploration d'une plage donnée d'adresse IP.
      Il suffit d'indiquer les bornes extrêmes de cette plage.
      Lors de l'analyse du réseau, SuperExec détecte les ordinateur actifs par envois successifs d'une requête Ping à chaque adresse IP contenue dans la plage.
      On peut définir la valeur (en millisecondes) du délai d'attente (500 ms par défaut).

      Au cours de l'analyse, SuperExec détermine :
      • le nom d'hôte de l'ordinateur
      • si l'ordinateur appartient à un domaine ou à un groupe de travail
      • le nom de ce domaine ou groupe
      • le nom et la version du système d'exploitation
      • les rôles du système (serveur, station de travail, maitre explorateur, ...)
      • les noms des comptes et groupes utilisateurs, locaux et globaux( dans le cas d'un domaine)
      • le nombre maximal de connexions entrantes
  • les informations TCP/IP de l'ordinateur local :
    • adresse IP
    • masque de sous réseau
    • passerelle
    • ...
  • Une case à cocher permet de lancer cette analyse automatiquement au démarrage de SuperExec

retour paramètres


Paramètres comptes et applications

Cet onglet permet de définir :

  • Les comptes affichés
    Par défaut, seuls les comptes ordinaires (ni administrateurs, ni invités) sont affichés.
    On peut définir ici des affichages supplémentaires.
    • invités (normalement ces comptes sont désactivés.)
    • administrateurs (en principe, l'utilisation de SuperExec n'a pas de raison d'être avec eux.)
    • groupes (afin de d'autoriser des applications à des groupes d'utilisateurs.)
    • locaux (cela concerne les ordinateurs appartenant à un domaine. )
    • globaux (cela concerne les ordinateurs appartenant à un domaine)
      .
  • Les extensions des fichiers d'applications
    On peut filtrer les applications qui seront affichées dans les arborescences de fichiers en sélectionnant les extensions désirées :
    • Exécutables (exe,scr, com)
    • Scripts (bat, cmd, vbs, js,vbe,jse, pl)
    • Composants enfichables (msc)
    • Windows installer packages (msi)
    • raccourcis (lnk)
    • autres (*) (permet d'afficher tous les fichiers - à éviter).

retour paramètres


Paramètres messagerie

Il est possible d'envoyer les fichiers XSE ainsi que les exécutables de SuperExec et les fichiers associés à un destinataire donné par messagerie électronique (p.ex. dans le cas d'un ordinateur non connecté au réseau).
Un message est alors automatiquement généré, avec un texte explicatif et un fichier compressé (.ZIP) en pièce-jointe contenant tous les fichiers nécessaires.

Cet onglet permet de définir :

  • le nom et l'adresse email de l'expéditeur
  • le carnet d'adresses email, par action sur un bouton qui provoque l'ouverture d'une boite de dialogue
  • le nom du serveur SMTP utilisé (le plus souvent, ce sera le nom du serveur SMTP du fournisseur d'accès à Internet)
  • le n° de port IP utilisé pour l'envoi des messages (généralement 25)
  • éventuellement, si une authentification est requise par le serveur SMTP, :
    • un nom de compte
    • le mot de passe associé (avec confirmation)
  • une signature éventuelle de l'expéditeur

retour paramètres


Administrator

L'action sur cet item ou bouton déclenche la vérification des comptes administrateurs et de leurs mots de passe respectifs pour tous les domaines et ordinateurs, ainsi que l'actualisation éventuelle des adresses IP. Ces comptes seront utilisés pour l'exécution des applications sur chaque ordinateur concerné.

Si un compte et son mot de passe est manquant, l'identification du compte administrateur est saisie dans une boite de dialogue.


Dialogue Administrateur

Cette boite de dialogue sert à définir le compte administrateur (nom et mot de passe) pour le domaine ou ordinateur concerné.
C'est ce compte qui sera retenu, dans l'application cliente de SuperExec, pour ouvrir les applications sélectionnées en tant qu'administrateur.

Les champs suivants sont pré remplis et non modifiables :

  • Domaine ou groupe de travail
  • Nom de l'ordinateur
  • Adresse IP de l'ordinateur
  • Case à cocher indiquant si on est dans un domaine ou non
  • Case à cocher indiquant si l'ordinateur est connecté ou non

Les champs suivants sont sont à remplir obligatoirement :

  • Nom du compte (p.ex. "Administrateur")
  • Mot de passe
  • Confirmation du mot de passe

Une case à cocher "Répéter sur les autres ordinateurs" dispense de saisir à nouveau l'ensemble nom de compte administrateur et mot de passe s'il est identique sur les ordinateurs ou domaines suivants.

Si le compte concerne un domaine ou un ordinateur connecté, un test est effectué sur :

  • l'existence du compte dans le domaine ou l'ordinateur concerné
  • la validité du mot de passe
  • les privilèges administrateur de ce compte .


Quitter

L'action sur cet item ou bouton provoque la fermeture de SuperExec, avec enregistrement automatique au préalable dans la base de registres de la liste des différents comptes administrateurs utilisés (sous forme chiffrée).


Réseau

Parcours et analyse réseau | L'action sur cet item ou bouton (également via le raccourci clavier F5) déclenche la découverte et analyse des ordinateurs du réseau, en fonction de la configuration réseau choisie. Il y a effacement d'une éventuelle analyse précédente.
Ajouter un ordinateur | Cet item ou bouton n'est disponible que si on choisit l'exploration manuelle du réseau L'action sur cet item provoque l'ouverture d'une boite de dialogue.
Ajouter un ordinateur non connecté | Cette fonctionnalité (qui peut surprendre!) permet de configurer des applications pour des utilisateurs "nomades", et/ou dont les ordinateurs ne sont pas atteignables dans le réseau local. On procède alors comme si l'ordinateur concerné était présent, mais les données, au lieu d'être copiées directement par le réseau vers l'ordinateur distant, sont envoyées par courrier électronique à l'utilisateur. SUPEREXEC automatise complètement cet envoi, en générant un fichier compressé (.zip) contenant les données, un logiciel d'installation puis en l'envoyant via un client SMTP intégré. L'action sur cet item provoque l'ouverture d'une boite de dialogue.
Paramètres réseau | L'action sur cet item ou bouton ouvre la boite de dialogue de paramétrage de SuperExec, en affichant directement l'onglet Réseau.


Dialogue ordinateur

Cette boite de dialogue sert à ajouter ou modifier manuellement un ordinateur dans la liste des domaines et ordinateurs.
Le type d'ordinateur est fonction de la configuration du réseau :

  • manuelle
    On peut ajouter un ordinateur connecté ou non connecté au réseau.
  • automatique
    On ne peut ajouter qu'un ordinateur non connecté au réseau.

L'aspect de la boite de dialogue varie suivant que l'ordinateur est connecté ou non :

  • ordinateur connecté
    Le seul champ à remplir est, au choix :
    • Le nom de l'ordinateur
    • L'adresse IP de l'ordinateur
    L'action sur un bouton "résoudre" permet d'afficher automatiquement
    • l'adresse IP si on a rempli le nom
    • le nom si on a rempli l'adresse
    • le nom du groupe ou domaine auquel appartient l'ordinateur

  • ordinateur non connecté
    Les champs à remplir sont :
    • Le nom de l'ordinateur
    • le nom du groupe ou domaine auquel appartient l'ordinateur
    • la liste des comptes locaux
    • la liste des groupes locaux
    • le chemin du dossier système racine (%systemroot%)
    • le chemin du bureau commun à tous les utilisateurs
    • le chemin du menu démarrer
    Ces données sont sauvegardées automatiquement dans un fichier au format XML de nom xxxxxxx.xnc situé dans le sous-dossier .\XSE de SUPEREXEC, "xxxxxxx" étant le nom de l'ordinateur.
    On est ainsi dispensé de ressaisir ces informations lors d'une autre exécution de SUPEREXEC.
    Il suffit d'indiquer le nom du fichier XNC dans le premier champ de la boite de dialogue, ce qui remplit ensuite automatiquement tous les champs.


Applications

Ajouter une application L'action sur ce bouton provoque l'ouverture d'une boite de dialogue,
le dossier étant initialisé par %systemroot%\system32 de l'ordinateur sélectionné.
Modifier une application L'action sur ce bouton provoque l'ouverture d'une boite de dialogue,
pré remplie par les paramètres de l'application sélectionnée
Supprimer une application L'action sur ce bouton provoque la suppression de l'application sélectionnée après confirmation de la suppression.
Transferts L'action sur ce bouton provoque l'ouverture d'une boite de dialogue destinée au transfert des données et/ou logiciels suivant le cas :
  • vers l'ordinateur local
  • vers un ordinateur distant
  • par messagerie électronique


Dialogue application

Dialogue applications

Cette boite de dialogue sert à ajouter ou modifier une application, qui sera exécutée ultérieurement sur l'ordinateur concerné par l'utilisateur (ou groupe d'utilisateurs) également concerné, et cela en tant qu'administrateur.

Cette boite de dialogue comprend 2 onglets :

  • Application et paramètres
    • La liste des disques locaux de l'ordinateur concerné est affichée à gauche, à droite on trouve un explorateur de fichiers et dossiers du disque sélectionné.
      Cet ensemble permet de définir le fichier de l'application.
    • Seuls les fichiers dont les types ont été sélectionnés dans le paramétrage de SuperExec sont affichés.
    • Un champ (facultatif) est prévu pour définir des paramètres de l'application.
    • Dans le cas où l'application est sous la forme d'une console (fenêtre de commandes), une case à cocher permet de préciser si la fenêtre doit rester ouverte après exécution.

    Si l'ordinateur est non connecté, la liste des disques et l'explorateur sont bien évidemment indisponibles, si bien que le chemin complet de l'application doit être saisi manuellement dans le 1er champ de l'onglet.

  • Dossier de travail et limitations
    • La liste des disques locaux de l'ordinateur concerné est affichée à gauche, à droite on trouve un explorateur des dossiers du disque sélectionné.
      Cet ensemble permet de définir le dossier de travail de l'application.
    • Un champ (rempli par défaut par le nom du fichier de l'application) est prévu pour définir le libellé de l'application.
    • Une case à cocher sert à valider ou non une date limite d'exécution.
      Deux composants visuels situés à côté permettent de définir cette date et heure limite.
      Une fois cette date expirée, l'exécution de l'application sera refusée.
    • Une case à cocher sert à valider ou non un nombre maximal d'exécutions
      Un composant visuel situé à côté permet de définir ce nombre.
      Dès que ce nombre est atteint, toute exécution ultérieure de l'application sera refusée.

    Si l'ordinateur est non connecté, la liste des disques et l'explorateur sont bien évidemment indisponibles, si bien que le chemin complet du dossier de travail de l'application doit être saisi manuellement dans le 1er champ de l'onglet.


Dialogue transferts

Cette boite de dialogue sert à transférer des données (fchiers XSE, certificat, ... ) et/ou des logiciels (Installateur, application cliente, DLL de gestion de certificats), en fonction du type d'ordinateur : local, distant connecté, distants non connecté.

Elle contient une liste de tous les ordinateurs et des cases à cocher dont la disponibilité dépend de l'ordinateur sélectionné :

Type de transfert | Cases à cocher disponibles | Ordinateur
 |  | local | distant connecté | distant non connecté
par réseau local | Raccourcis |  |  |
 | Fichiers XSE |  |  |
 | Logiciels |  |  |
par messagerie | Raccourcis et fichiers XSE |  |  |
 | Logiciels |  |  |

Les raccourcis ont pour cibles les fichiers .XSE et sont déposés sur le bureau commun à tous les comptes.
Les fichiers XSE ne sont pas transférés dans le cas de l'ordinateur local puisque ces fichiers sont déjà présents sur l'ordinateur (sous-dossier XSE du dossier de SuperExec)
Les logiciels transférés sont au nombre de deux :

  • InstSE.exe : l'installateur automatique de l'application cliente SuperExec.
  • RunSE.exe : l'application cliente de SuperExec ("runtime")
    C'est elle qui interprète et décrypte les fichiers XSE, et exécute les applications correspondantes en tant qu'administrateur.

Dans le cas d'un envoi par messagerie, il y a ouverture d'une boite de dialogue


Dialogue messagerie

Cette boite de dialogue sert à transférer par messagerie les données (fichiers XSE, certificat, libellés) et/ou les logiciels (installateur, application cliente, DLL de gestion des certificats).

L'objet du message et son contenu est généré automatiquement, mais est modifiable par l'administrateur.

Dans ce message les pièces-jointes suivantes sont insérées :

  • InstSE.exe : l'installateur de l'application cliente de SuperExec
  • RunSE.exe : l'application cliente de SuperExec ("runtime")
  • superexec.cer : le certificat des logiciels
  • CAPICom.dll : bibliothèque redistribuable Microsoft de gestion des certificats
  • xxxx\superexec.lib : le fichier des libellés dans la langue choisie.
    "xxxx" est le nom du sous-répertoire correspondant. Son nom est le code de langue (p.ex. 040C pour le français, 0409 pour l'anglais, ...)
  • XSE\xxxx#yyyyy#ZZ.xse : un fichier XSE dont le nom est ainsi codifié :
    • xxxx : nom de l'ordinateur
    • yyyyy : nom du compte
    • ZZ : type du compte =
      • LU : utilisateur local
      • LG : groupe local
      • GU : utilisateur global (domaine)
      • GG : groupe global (domaine)
  • .... (autant de fichiers XSE que nécessaire)

Le seul champ a remplir obligatoirement est l'adresse du destinataire.
Un bouton permet éventuellement de la choisir dans le carnet d'adresses défini au cours du paramétrage de SuperExec.

Une fois que le destinataire a reçu le courrier et extrait le fichier .ZIP en pièce-jointe, il lui suffit de le décompresser puis exécutez "InstSE.exe".
Tout va se dérouler automatiquement, en particulier la création de raccourcis sur le bureau.


Dialogue carnet d'adresses

Cette boite de dialogue sert à définir un carnet d'adresses électroniques, qui sera utilisé par la suite pour transférer par messagerie les données et/ou les logiciels.

Elle se compose essentiellement :

  • d'une liste d'adresses
  • d'un champ de saisie de nouvelle adresse
  • d'un bouton ôter (pour supprimer une adresse existante dans la liste)
  • d'un bouton ajouter (pour ajouter à la liste la nouvelle adresse inscrite dans le champ de saisie).


Zone réseau

Cette zone affiche sous forme arborescente les domaines et groupes de travail, les ordinateurs et les comptes (utilisateurs, groupes) locaux et globaux.

Un menu contextuel est disponible, adapté au type de l'élément concerné :

  • Domaine ou Groupe de travail

    • Propriétés
      Affiche une fenêtre d'informations concernant le domaine ou groupe :

      • sa description

      • la liste des ordinateurs qu'il contient

    • Compte administrateur de domaine
      Affiche la boite de dialogue de saisie de compte administrateur

    • Ajouter un ordinateur
      (disponible seulement si on a choisi la configuration du réseau manuelle)
      Affiche la boite de dialogue de saisie d'ordinateur

    • Ajouter un ordinateur non connecté
      Affiche la boite de dialogue de saisie d'ordinateur

  • Ordinateur

    • Propriétés
      Affiche une fenêtre d'informations concernant l'ordinateur :

      • sa description

      • son adresse IP

      • le domaine ou groupe auquel il appartient

      • la version de Windows

      • ses rôles (serveur, maitre explorateur, station de travail, ...)

      • son nombre maximal de connexions entrantes

    • Compte administrateur de domaine
      Affiche la boite de dialogue de saisie de compte administrateur

    • Compte administrateur local
      Affiche la boite de dialogue de saisie de compte administrateur

    • Modifier l'ordinateur sélectionné
      (disponible seulement si on a choisi la configuration réseau manuelle ou si c'est un ordinateur non connecté)
      Affiche la boite de dialogue de saisie d'ordinateur

    • Supprimer l'ordinateur sélectionné
      (disponible seulement si on a choisi la configuration réseau manuelle ou si c'est un ordinateur non connecté)

    • Mettre à jour l'ordinateur sélectionné

  • Compte utilisateur ou groupe d'utilisateurs

    • Propriétés
      Affiche une fenêtre d'informations concernant le compte :

      • son étendue (local ou global)

      • son appartenance (ordinateur ou domaine)

      • son nom complet

      • des commentaires éventuels

      • les groupes auxquels il appartient (utilisateur) ou les comptes qu'il contient (groupe)

      • son SID (Security IDentifier)

      • le chemin de son profil (cas de profil itinérant ou obligatoire)


Zone applications

Cette zone affiche la liste des applications configurées pour le compte sélectionné dans la zone réseau

Un menu contextuel est disponible en regard de chaque application :

  • nouveau
    affiche la boite de dialogue permettant de définir une application.

  • modifier
    affiche la boite de dialogue permettant de modifier une application existante.

  • supprimer
    une boite de dialogue de confirmation est affichée.

  • propriétés
    affiche des informations détaillées sur l'application sélectionnée :

    • Nom de l'application

    • Nom de l'exécutable associé éventuellement

    • Cible dans le cas d'un raccourci

    • Paramètres optionnels

    • Type (console ou application graphique)

    • Libellé

    • Dossier de travail

    • Limitations éventuelles (date et/ou nombre d'exécutions)

    • Nom du compte administrateur

    • Commentaires éventuels


Zone journal

Cette zone contient l'historique des opérations effectuées, ainsi que les messages d'erreurs éventuels.

Il est possible d'enregistrer le journal sous la forme de fichier texte pur (extension .log)
Par défaut, le nom du fichier est composé de la date et de l'heure (p.ex. "12-11-2010 19-54-03.log")

Un bouton et un menu permet d'effacer le contenu du journal, qui est alors réduit à la date et heure.


Légende

 | Domaine
 | Domaine sélectionné
 | Domaine non connecté
 | Domaine non connecté sélectionné
 | Groupe de travail
 | Groupe de travail sélectionné
 | Groupe de travail non connecté
 | Groupe de travail non connecté sélectionné
 | Ordinateur
 | Ordinateur sélectionné
 | Ordinateur non connecté
 | Ordinateur non connecté sélectionné
 | Ordinateur désactivé (NT4 ou XP HOME distant)
 | Ordinateur désactivé sélectionné
 | Compte invité
 | Compte invité (désactivé)
 | Compte utilisateur
 | Compte utilisateur (désactivé)
 | Compte administrateur
 | Compte administrateur (désactivé)
 | Groupe
aaaaaa (4) | Compte ou groupe local (nombre d'applications)
aaaaaa (4) | Compte ou groupe global (nombre d'applications)


Application cliente

L'application cliente (runtime) de SuperExec se compose d'une boite de dialogue principale ayant cet aspect :

Chaque icône représente une application qui sera exécutée sous un compte qu'administrateur et, dans le cas de Vista et au-delà avec UAC actif (le contrôle des comptes utilisateurs), en tant qu'administrateur (avec privilèges élevés).

Un clic droit sur l'une des icônes fait apparaitre un menu déroulant doté de 3 items :

  • exécuter
    son action est identique à un double-clic sur l'icône.
    • l'application est exécutée en tant qu'administrateur
  • créer un raccourci
    • un raccourci de l'application est créé :
      • sur le bureau de l'utilisateur en cours si le compte concerné par SuperExec est un compte individuel
      • sur le bureau commun à tous les comptes si le compte concerné par SuperExec est un groupe d'utilisateurs
  • propriétés
    Affiche une liste de propriétés de l'application
    • chemin du fichier exécuté
    • nom de l'exécutable associé (éventuellement)
    • paramètres optionnels
    • type d'application (console ou application en mode fenêtré)
    • libellé
    • dossier de travail
    • limitations éventuelles (date limite et/ou nombre d'exécutions)
    • nom du compte administrateur utilisé
    • commentaires éventuels

Il est également possible de créer un raccourci sur le bureau en effectuant un "glisser/déposer" ("drag and drop") de l'icône.